Ticket #14539

Excelプラグイン
Open Date: 2009-01-07 17:10 Last Update: 2009-04-29 12:29

Reporter:
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

カスタムクエリ側にもExcelエクスポート機能があればいいなと思います。

Ticket History (3/5 Histories)

2009-01-07 17:10 Updated by: oki0808
  • New Ticket "Excelプラグイン" created
2009-01-13 19:10 Updated by: None
Comment

たしかに…

ヘルプのTracReports読む限りでは… レポートモジュールは、機能凍結して終息に向かうっぽいし…クエリモジュールがそこそここなれてきたら、切り離す言うてるようにも読める…

今後、極力クエリモジュール使った方が無難…な気がしてきた。


ExcelReportExportPlugin(http://syo.cocolog-nifty.com/freely/trac_excelreportexport.html ) なんていう物を拾ってきて試したが…動かず。 なんとなく…プラグインのエントリが ExcelReportPlugin と被ってる臭い…

2009-01-13 19:18 Updated by: None
Comment

http://trac-hacks.org/ticket/2266

ハックの方にも上がってるこれかな? 制限事項? っと…

2009-01-19 10:04 Updated by: None
Comment

気まぐれで試す…

ExcelReportExport 無理やり ExcelReport と同居導入法

  • ExcelReportExport のソース展開して、setup.py の中のエントリ名 excelreport を 適当な名前に書き換え
  • ソースフォルダ名、ファイル名を setup に合わせてリネーム
  • ソースファイル内も 同じように入れ替え。クラス名変える
  • ExcelReportExport ビルド/インストール。trac 再起動

これで、カスタムクリエのexcelダウンロードリンクが出る。

ついでに…関係無いが…

ExcelViewerPlugin 無理やり XdocView と同居導入法

  • XdocView ソースの xdocview.py 以下の行コメントアウト
    > application/vnd.ms-excel: (msexcel,2),
  • XdocView ビルド/インストール(つーか、TLはすで入ってるので、無理やりコピ)
  • ExcelViewerPlugin ビルド/インストール

これで、excel文書だけ表組み表示。まぁ…ホントは、XdocView で対象文書タイプが選択できると嬉しいんだが(汗)

すっげー無理やりw

2009-04-29 12:29 Updated by: okamototk
  • Milestone Update from (None) to 2.2 (closed)
  • Ticket Close date is changed to 2009-04-29 12:29
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

ご報告ありがとうございます。

ExcelReportExportプラグインを同梱しました。

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login